<?php
$id = $_GET['id'];

$valid_extensions = array('jpeg', 'jpg', 'png', 'gif', 'bmp' , 'pdf' , 'doc' , 'ppt', 'svg', 'JPG', 'JPEG' , 'PNG', 'SVG'); // valid extensions
$path = '../../img/avatars/'; // upload directory

if(!empty($_FILES['image'])) {
    $img = $_FILES['image']['name'];
    $tmp = $_FILES['image']['tmp_name'];

    // Récupère l'extension de l'image
    $ext = strtolower(pathinfo($img, PATHINFO_EXTENSION));

    // Peut télécharger la même image
    $final_image = rand(1000,1000000).$img;

    // Vérifie l'extension de l'image
    if(in_array($ext, $valid_extensions)) {
        $path = $path.strtolower($final_image);

        if(move_uploaded_file($tmp,$path)) {
//            echo("<script>alert('L\'image est téléchargée');</script>");
            echo("<SCRIPT LANGUAGE='JavaScript'>document.location.href='../../composants/templates/layout-admin.php?id=" . $id . "&pageVisitee=comptes&ongletVisite=monCompte'</SCRIPT>");
        }
    }
    else {
        echo("<script>alert('Désolé, il y a eu une erreur dans le téléchargement');</script>");
        echo("<SCRIPT LANGUAGE='JavaScript'>document.location.href='../../composants/templates/layout-admin.php?id=" . $id . "&pageVisitee=comptes&ongletVisite=monCompte'</SCRIPT>");
    }
}
?>
